Bug 812170 - Icalendar format string is missing time at 0:00:00Z
Icalendar format string is missing time at 0:00:00Z
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: perl-Date-ICal (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 20:09 EDT by Tom Shield
Modified: 2015-02-17 09:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:13:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
perl script that demonstrates the bug (408 bytes, application/octet-stream)
2012-04-12 20:09 EDT, Tom Shield
no flags Details

  None (edit)
Description Tom Shield 2012-04-12 20:09:10 EDT
Created attachment 577195 [details]
perl script that demonstrates the bug

Description of problem:

Output of the Date::ICal->ical function is missing the time when the time is Zero, that is, 0:00:00Z.

Version-Release number of selected component (if applicable):

perl-Date-ICal-2.678-3.fc16.noarch

How reproducible:

every time

Steps to Reproduce:
1. run attached script (format a time that is 0Z in local time zone)
2. note that time is missing from ical string
3.
  
Actual results:

local time is Thu Apr 12 18:24:25 2012
GM    time is Thu Apr 12 23:24:25 2012

7:00:00pm CDT: 20120613Z
7:00:01pm CDT: 20120613T000001Z


Expected results:

local time is Thu Apr 12 18:24:25 2012
GM    time is Thu Apr 12 23:24:25 2012

7:00:00pm CDT: 20120613T000000Z
7:00:01pm CDT: 20120613T000001Z


Additional info:

Times in the script will have to be adjusted to give 0Z in local time zone.  In CDT 7pm is 0Z.  Script prints local an GM times for reference (CDT is -5).

ICalendar files with times of 0Z fail validation and give odd results in Outlook.
Comment 1 Fedora End Of Life 2013-01-16 15:58:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-04-03 14:02:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 12:06:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:13:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.